<template>
  <div>
    <floor-wrapper>
      <floor-selector slot="selector"></floor-selector>
      <floor-area slot="floor"></floor-area>
      <floor-summary slot="summary"></floor-summary>
      <floor-timer slot="sidebar"></floor-timer>
      <floor-population slot="sidebar"></floor-population>
    </floor-wrapper>
    <zone-wrapper>
      <zone-dialog slot="dialog"></zone-dialog>
    </zone-wrapper>
    <unit-wrapper>
      <unit-dialog slot="dialog"></unit-dialog>
    </unit-wrapper>
    <search-wrapper>
      <search-dialog slot="dialog"></search-dialog>
    </search-wrapper>
    <people-wrapper>
      <people-dialog slot="dialog"></people-dialog>
    </people-wrapper>
  </div>
</template>

<script>
import FloorWrapper from '~/modules/floor/containers/FloorWrapper'
import FloorSummary from '~/modules/floor/containers/FloorSummary'
import FloorArea from '~/modules/floor/containers/FloorArea'
import FloorTimer from '~/modules/floor/containers/FloorTimer'
import FloorPopulation from '~/modules/floor/containers/FloorPopulation'
import FloorSelector from '~/modules/floor/containers/FloorSelector'
import ZoneWrapper from '~/modules/zone/containers/ZoneWrapper'
import ZoneDialog from '~/modules/zone/containers/ZoneDialog'
import PeopleWrapper from '~/modules/people/containers/PeopleWrapper'
import PeopleDialog from '~/modules/people/containers/PeopleDialog'
import UnitWrapper from '~/modules/unit/containers/UnitWrapper'
import UnitDialog from '~/modules/unit/containers/UnitDialog'
import SearchWrapper from '~/modules/search/containers/SearchWrapper'
import SearchDialog from '~/modules/search/containers/SearchDialog'

export default {
  components: {
    PeopleDialog,
    PeopleWrapper,
    UnitDialog,
    UnitWrapper,
    ZoneDialog,
    ZoneWrapper,
    FloorSelector,
    FloorPopulation,
    FloorTimer,
    FloorSummary,
    FloorWrapper,
    FloorArea,
    SearchWrapper,
    SearchDialog,
  },
}
</script>
